.editor-container {
  display: grid;
  grid-template-columns: 1fr 4fr;
  height: 100%;

  .upload-section {
    width: 100%;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    border-right: 1px solid #C83B50;

    h2 {
      margin-top: 2rem;
      text-align: center;
    }

    button {
      width: 75%;
      padding: 0.5rem 2rem;
      margin: 2rem 0;
      border: none;
      border-radius: 10px;
      color: #ffffff;
      font-size: large;
      font-weight: 700;

      &:disabled {
        background-color: #323a45;
      }
    }

    .select-btn {
      background-color: #3f51b5;
    }

    .add-btn {
      background-color: #60d460;
    }

    label {
      font-weight: 700;
      font-size: medium;
      margin-bottom: 1rem;
    }

    textarea {
      width: 75%;
      min-height: 10rem;
      resize: none;
      border: none;
      border-radius: 5px;
      color: #ffffff;
      background-color: #323a45;
    }

    .preview-image-container img {
      margin: 2rem;
      border-radius: 10px;
      width: 16rem;
    }
  }

  .posts-section {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    color: #ffffff;

    .post-container {

      button {
        display: block;
        margin: 0.3rem auto;
        padding: 0.5rem 0.5rem;
        color: white;
        border: none;
        border-radius: 5px;
      }

      .avatar-btn {
        background-color: #60d460;

        &:hover {
          background-color: darkgreen;
        }
      }

      .delete-btn {
        background-color: #ce3a3a;

        &:hover {
          background-color: darkred;
        }
      }
    }
  }
}
